Name: gstreamer-pitfdll
Version: 0.9.1.1
Release: alt3.20080215

Summary: GStreamer DLL loader plugin
License: GPL
Group: Sound
Url: http://ronald.bitfreak.net/pitfdll/

Source0: gstreamer0.10-pitfdll_0.9.1.1+cvs20080215.orig.tar.gz

Packager: Valery Inozemtsev <shrek@altlinux.ru>

ExclusiveArch: %ix86

# Automatically added by buildreq on Tue Apr 24 2007
BuildRequires: gcc-c++ gst-plugins-devel

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This plugin contains a DLL loader to provide media playback for proprietary
formats.

%set_verify_elf_method textrel=relaxed

%prep
%setup -q -n pitfdll-%version

%build
%configure \
	--with-dlldir=%_libdir/win32
%make_build

%install
%make DESTDIR=%buildroot install

%files
%doc AUTHORS README RELEASE TODO
%_libdir/gstreamer-0.10/lib*.so

%changelog
* Thu May 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.9.1.1-alt3.20080215
- rebuild

* Thu Feb 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.9.1.1-alt2.20080215
- CVS snapshot 2008-02-15

* Thu Jan 03 2008 Igor Zubkov <icesik@altlinux.org> 0.9.1.1-alt2.20070424
- fix rebuild with new autotools (patch0 from gentoo)

* Tue Apr 24 2007 Igor Zubkov <icesik@altlinux.org> 0.9.1.1-alt1.20070424
- build for Sisyphus

